.main-content-container-left-right{
    padding-top: 20px;
    display: grid;
    grid-template-columns: 0.5fr 0.5fr;
    grid-column-gap: 30px;
    border-bottom: 1px solid rgb(200, 200, 200);
}

.content-step-by-step{
    padding-top: 20px;
    display: grid;
    grid-template-columns: 1fr;
    grid-column-gap: 30px;
    border-bottom: 1px solid rgb(200, 200, 200);
    padding-bottom: 50px;
}

@media (max-width: 850px) {
    .main-content-container-left-right{
      grid-template-columns: 1fr;
    }
    .step-image{
        width: 100%;
    }
  }


@media (min-width: 851px) {
.step-image{
    width: 80%;
}
}

.main-title{
    font-size: 40px;
    font-weight: 600;
    text-align: center;
    padding: 20px 10px 10px 20px;
}
.table-of-contents{
    font-size: 30px;
    font-weight: 400;
    text-align: left;
    padding: 20px 0px 5px 0px;
    border-bottom: 2px solid rgb(150, 150, 150) ;
}

li{
    margin: 30px;
}

/*content stlye css*/
.content-title{
    font-size: 30px;
    font-weight: 500;
}

.content-paragraph{
    margin: 12px 0px 12px 0px;
    line-height: 35px;
    font-size: 20px ;
    text-align: justify;
}

.content-points{
    margin: 12px 0px 12px 0px;
    line-height: 35px;
    font-size: 20px ;
    text-align: justify;
}

.code-text{
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: Consolas,Menlo,"courier new",monospace;
    font-size: 20px;
    background-color: lightgray;
    width: fit-content;
    margin: auto;
    margin-top: 15px;
    margin-bottom: 15px;
    text-align: center;
}

.content-step{
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 30px;
}

.step-title{
    line-height: 30px;
    font-size: 30px;
    font-weight: 500;
}

.sub-step-title{
    line-height: 20px;
    font-weight: 500;
    font-size: 20px;
}

.sub-step-description{
    font-size: 18px;
    line-height: 25px;
    margin-bottom: 15px;
}

.sub-step-content{
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 10px;
    padding-bottom: 40px;
}

/*Image CSS*/

.image-content{
    display: flex;
    flex-direction: column;
}

.image-container{
    display: grid;
    grid-template-columns: 1fr;
    margin: 20px 0 20px 0;
    justify-items: center;
}

.image-icon{
    width: 100%;
    height: 300px;
    object-fit: cover;
    object-position: top center;
}

.image-caption{
    margin: 12px 0px 12px 0px;
    line-height: 35px;
    font-size: 20px ;
    text-align: justify;
}


.step-image-container{
    display: flex;
    justify-content: center;
    align-content: center;
    margin-bottom: 20px;
}
